English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The AppLog Class

This class is a representation of application log data, with each object representing one log line for an application written during the processing of a request.

`AppLog` is provided by the `google.appengine.api.logservice` module.

- Introduction
- Properties
  - time
  - level
  - message

## Introduction

One or more Application logs can be written during the handling of an incoming client request. Each log is represented in an AppLog object, which contains a timestamp, the severity level of the log entry, and the message string written by the app.

You don't instantiate this class. Instead, you obtain this information by invoking logservice.fetch() to get the filtered list of RequestLog objects, each of which contains all the log information for that request, including application logs. You then get the list of AppLog objects from each RequestLog object using the `app_logs` property to return a list of AppLog objects. (This list can be empty, if no app log was written during the request.) By default, application logs are not returned by `logservice.fetch()`; you have to invoke it with its `include_app_logs` parameter set to True.

## Instance Properties

time
  Returns a float value representing the time that the log entry was made, in seconds since the Unix epoch.
level
  Returns an int value representing the level or severity of the log.
message
  Returns a string containing the log message written by the application.